# -*- encoding: utf-8 -*-

Gem::Specification.new do |gem|
  gem.name = 'travis-chef'
  gem.version = '0.0.16'
  gem.authors = ['Matt Kasa']
  gem.email = ['mattk@granicus.com']
  gem.description = 'Script to automate Chef deployments from Travis'
  gem.summary = 'Travis/Chef deployment script'
  gem.homepage = 'https://github.com/Granicus/travis-chef'
  gem.licenses = ['AGPL-3.0']

  gem.files = `git ls-files`.split($/)
  gem.executables = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib/']

  gem.add_runtime_dependency 'net-ssh', '~> 2.9.4'
  gem.add_runtime_dependency 'net-ssh-gateway', '~> 1.3.0'
  gem.add_runtime_dependency 'rack', '~> 1.6.5'
  gem.add_runtime_dependency 'chef', '12.19.36'
end
